using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Shared.DataAccess.Implementation
{
    internal class SqlDatabaseSql : IDatabaseSql
    {
        public string CreateBoolText( bool value )
        {
            if (value)
                return "1";
            else
                return "0";
        }

        public string CreateDateForComparison( string date )
        {
            return "'" + date + "'";
        }

        public string DateDiffWithToday( string fieldName )
        {
            return " DATEDIFF(DAY, " + fieldName + ", getdate() )";
        }
        public string CreateIsNullFunction( string columnName )
        {
            return "IsNull( " + columnName + ",0)";
        }
        public string CreateDateFormat( string date )
        {
            return " CONVERT(DATETIME,(CONVERT(VARCHAR(10)," + date + ",120))) ";
        }
        public string CreateHourFormat( string date )
        {
            return " DATEPART(hh," + date + ") ";
        }
        public string CreateMonthNameFormat( string date )
        {
            return " SUBSTRING(CONVERT(VARCHAR(11)," + date + ",113),4,3) ";
        }
        public string CreateMonthNumberFormat( string date )
        {
            return " SUBSTRING(CONVERT(VARCHAR(8)," + date + ",3),4,2) ";
        }
        public string CreateYearFormat( string date )
        {
            return " SUBSTRING(CONVERT(VARCHAR(11)," + date + ",113),8,4) ";
        }
        public string CreateMonthYearFormat( string date )
        {
            return " SUBSTRING(CONVERT(VARCHAR(11)," + date + ",113),4,8) ";
        }
        public string CreateYearMonthFormat( string date )
        {
            return " SUBSTRING(CONVERT(VARCHAR(10)," + date + ", 102),0,8) ";
        }
        public string CreateDivideFucntion( string standingNumber, string divisor )
        {
            return "(Convert(Float(10)," + standingNumber + ")/" + divisor + ")";
        }
        public string CreateConvertBoolToSumInt( string data )
        {
            return "SUM(CONVERT(INT," + data + "))";
        }
        public string AddTablePrefixIfNecessary( string sortBy, string table )
        {
            return table + "." + sortBy;
        }
        public string CreateFalseToTrueBoolSortText()
        {
            return " ";
        }
    }
}
