using System;
using System.Web;
using Vevo.WebAppLib;

namespace Vevo.Domain.Payments
{
    public class PaymentErrors
    {
        private const string PaymentErrorsSessionName = "PaymentErrors_Instance";

        private String _errorMessage = String.Empty;

        public static PaymentErrors Instance
        {
            get
            {
                if (HttpContext.Current.Session[PaymentErrorsSessionName] == null)
                    HttpContext.Current.Session[PaymentErrorsSessionName] = new PaymentErrors();

                return (PaymentErrors) HttpContext.Current.Session[PaymentErrorsSessionName];
            }
        }

        public void Clear()
        {
            HttpContext.Current.Session[PaymentErrorsSessionName] = null;
        }

        public void AddErrorMessage( string errorMessage )
        {
            if (_errorMessage.Length == 0)
                _errorMessage = String.Format( "Failed : {0}", errorMessage );
            else
                _errorMessage += String.Format( "<br/>Failed : {0}", errorMessage );
        }

        public string GetErrorMessage
        {
            get
            {
                return _errorMessage;
            }
        }
    }
}
