using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Base;
using Vevo.Domain.Products;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IOptionItemRepository
    {
        OptionItem Save( OptionItem optionItem );
        void Delete( string optionItemID );
        void DeleteLocalesByCultureID( string cultureID );
        void DeleteByOptionGroupID( string OptionGroupID );
        OptionItem GetOne( Culture culture, string optionItemID );

        IList<ILocale> GetLocales( string optionItemID );

        IList<OptionItem> GetByOptionGroupID( Culture culture, string optionGroupID );
 
        IList<OptionItem> SearchOptionItem(
                Culture culture,
                string optionGroupID,
                string sortBy,
                SearchFilter searchfilter,
                int startIndex,
                int endIndex,
                out int howManyItems
            );
        IList<TableSchemaItem> GetTableSchema();
    }
}
