﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Vevo.Domain.GoogleFeed
{
    public class GoogleSpecMapping : ICloneable
    {
        #region Private

        private string _googleFeedTagID = "0";
        private string _googleFeedTagName = string.Empty;
        private string _googleFeedTagValueID = "0";
        private string _googleFeedTagValueName = string.Empty;
        private string _specificationItemID = "0";
        private string _specificationItemDisplayName = string.Empty;
        private string _specificationGroupName = string.Empty;
        private string _specificationGroupDisplayName = string.Empty;
        private string _specificationValue = string.Empty;

        #endregion

        #region Public Constructors

        public GoogleSpecMapping()
        {
        }

        public static GoogleSpecMapping Null
        {
            get { return NullGoogleSpecMapping.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        #endregion

        #region Public Properties

        public string GoogleFeedTagID
        {
            get { return _googleFeedTagID; }
            set { _googleFeedTagID = value; }
        }

        /// <summary>
        /// Google Feed Tag Name
        /// </summary>
        public string TagName
        {
            get { return _googleFeedTagName; }
            set { _googleFeedTagName = value; }
        }

        public string GoogleFeedTagValueID
        {
            get { return _googleFeedTagValueID; }
            set { _googleFeedTagValueID = value; }
        }

        /// <summary>
        /// Google Feed Tag Value
        /// </summary>
        public string ValueName
        {
            get { return _googleFeedTagValueName; }
            set { _googleFeedTagValueName = value; }
        }

        public string SpecificationItemID
        {
            get { return _specificationItemID; }
            set { _specificationItemID = value; }
        }

        /// <summary>
        /// Specification Display Name
        /// </summary>
        public string DisplayName
        {
            get { return _specificationItemDisplayName; }
            set { _specificationItemDisplayName = value; }
        }

        public string SpecificationGroupName
        {
            get { return _specificationGroupName; }
            set { _specificationGroupName = value; }
        }

        public string SpecificationGroupDisplayName
        {
            get { return _specificationGroupDisplayName; }
            set { _specificationGroupDisplayName = value; }
        }

        /// <summary>
        /// Specification Value
        /// </summary>
        public string Value
        {
            get { return _specificationValue; }
            set { _specificationValue = value; }
        }

        #endregion

        #region IClonable Members
        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            GoogleSpecMapping newObject = (GoogleSpecMapping) MemberwiseClone();
            return newObject;
        }
        #endregion
    }
}
