using System;
using Vevo.Domain.Products;

namespace Vevo.Domain.Orders
{
    public class NullCart : Cart
    {
        #region Private

        private static Cart _instance = new NullCart();


        private NullCart()
        {
            CartID = Guid.Empty.ToString();
        }

        #endregion


        #region Public Properties

        public static Cart Instance
        {
            get { return _instance; }
        }

        public override bool IsNull
        {
            get { return true; }
        }

        #endregion


        #region Public Methods

        public override void AddItem(
            Product product,
            int quantity,
            OptionItemValueCollection optionItemCollection,
            CartItemGiftDetails giftDetails,
            decimal productCustomPrice,
            bool isSubscriptionable )
        {
        }

        #endregion

    }
}
