using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Products;
using Vevo.Domain.Users;

namespace Vevo.Domain.Orders
{
    // This is a class to represent CartItem of a regular recurring product.
    // Normally, the checkout price of the shopping cart would be the trial amount (if available).
    // This class will return the checkout price for regular recurring amount for calculation.

    public class RegularRecurringCartItem : CartItem
    {
        #region Private

        #endregion


        #region Constructors

        public RegularRecurringCartItem( CartItem cartItem )
            : base( cartItem )
        {
        }

        #endregion


        #region Public Methods

        public override decimal GetShoppingCartUnitPrice( WholesaleStatus wholesaleStatus )
        {
            decimal productPrice = 0;

            if (IsCustomPrice)
                productPrice = ProductCustomPrice;
            else if (IsEnterPrice)
                productPrice = EnteredPrice;
            else
                productPrice = Product.GetRecurringRegularPrice( wholesaleStatus );

            return productPrice + Options.GetOptionPrice( productPrice );
        }

        public override decimal GetUnitPriceWithoutProductOption( WholesaleStatus wholesaleStatus )
        {
            return Product.GetRecurringRegularPrice( wholesaleStatus );
        }

        #endregion

    }
}
