using System;
using System.Collections.Generic;
using System.Data;
using System.Configuration;

using Vevo.Domain.Configurations;
using Vevo.Domain.Orders;
using Vevo.Domain.Users;

namespace Vevo.Domain.Shipping.Custom
{
    /// <summary>
    /// Summary description for FixedShippingMethod
    /// </summary>
    public class FixedShippingMethod : CustomShippingMethod
    {
        #region Private

        #endregion


        #region Constructors

        public FixedShippingMethod(
            ShippingOption shippingOption,
            ShippingChoice selectedShippingChoice )     // ignored in non-real-time shipping option
            : base( shippingOption )
        {
        }

        #endregion


        #region Public Constances

        public const string ShippingOptionTypeName = "Fixed";

        #endregion


        #region Public Methods

        public override decimal GetShippingCost(
            CartItemGroup cartItemGroup,
            WholesaleStatus wholesaleStatus,
            decimal discount )
        {
            if (IsFreeShippingForNonOverriddenItems( cartItemGroup, wholesaleStatus ))
            {
                return GetOverriddenShippingAmount( cartItemGroup );
            }
            else
            {
                return ShippingOption.FixedShippingCost
                    + GetOverriddenShippingAmount( cartItemGroup );
            }
        }

        #endregion

    }
}
