using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Configurations;

namespace Vevo.Domain.Shipping
{
    public class NullShippingOption : ShippingOption
    {
        #region Private

        private static NullShippingOption _instance = new NullShippingOption();


        private NullShippingOption()
            : base( Culture.Null, true )
        {
        }

        #endregion


        #region Public Methods

        public static ShippingOption Instance
        {
            get
            {
                return _instance;
            }
        }

        public override bool IsNull
        {
            get { return true; }
        }

        public override ShippingMethod CreateShippingMethod(
            ShippingChoice shippingChoice )
        {
            return ShippingMethod.Null;
        }

        #endregion

    }
}
