﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;
using System.ServiceModel;

namespace Vevo.WebServices.Configurations
{
    [DataContract( Name = "ConfigurationConstraints" )]
    public class ConfigurationConstraints
    {
        public enum ConfigurationType
        {
            DropDown,
            TextBox,
            RadioButton,
            Upload,
            UserControl,
            Unknow
        }

        #region Base Contract
        [DataMember( IsRequired = true )]
        public string ConfigID = "0";
        [DataMember( IsRequired = true )]
        public string Name = String.Empty;
        [DataMember]
        public bool Searchable = false;
        [DataMember]
        public ConfigurationType ConfigType = ConfigurationType.Unknow;
        [DataMember]
        public string SelectionValues = String.Empty;
        [DataMember]
        public string SelectionNames = String.Empty;
        [DataMember]
        public string SelectionImages = String.Empty;
        [DataMember]
        public string ParentConfigName = String.Empty;
        [DataMember]
        public string DisplayUserControl = String.Empty;
        [DataMember]
        public string EnablerConfigName = String.Empty;
        [DataMember]
        public string FieldValidation = String.Empty;

        [DataMember]
        public IList<ConfigurationDescriptionConstraints> ConfigurationDescriptions;

        [DataMember]
        public IList<ConfigurationValueConstraints> ConfigurationValues;

        #endregion
    }
}
