using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Security.Permissions;
using System.Text;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Vevo.WebUI.ServerControls
{
    [
    DefaultProperty( "Text" ),
    ToolboxData( "<{0}:AdvanceLinkButton runat=\"server\"></{0}:AdvanceLinkButton>" )
    ]
    public class AdvancedLinkButton : System.Web.UI.WebControls.LinkButton, System.Web.UI.IPostBackEventHandler
    {
        #region Extended Public Properties
        // Currenty this property only works in IE. FireFox does not show this text.
        [Description( "The text shown in the browser's status bar." ),
        Category( "Apperance" ), Bindable( true ), DefaultValue( "" )]
        public string StatusBarText
        {
            get
            {
                object o = ViewState["StatusBarText"];
                if (o == null)
                    return string.Empty;
                else
                    return o.ToString();
            }
            set
            {
                ViewState["StatusBarText"] = value;
            }
        }

        [Description( "Page Name Destination." ),
        Category( "Behavior" ), Bindable( true ), DefaultValue( "" )]
        public string PageName
        {
            get
            {
                object o = ViewState["PageName"];
                if (o == null)
                    return string.Empty;
                else
                    return o.ToString();
            }
            set
            {
                ViewState["PageName"] = value;
            }
        }

        [Description( "Page Destination QeuryString." ),
        Category( "Behavior" ), Bindable( true ), DefaultValue( "" )]
        public string PageQueryString
        {
            get
            {
                object o = ViewState["PageQueryString"];
                if (o == null)
                    return string.Empty;
                else
                    return o.ToString();
            }
            set
            {
                ViewState["PageQueryString"] = value;
            }
        }

        //[Description( "Specifies if the StatusBarText is shown." ),
        //Category( "Behavior" ), Bindable( true ), DefaultValue( false )]
        //public bool ShowStatusBarText
        //{
        //    get
        //    {
        //        object o = ViewState["ShowStatusBarText"];
        //        if (o == null)
        //            return false;
        //        else
        //            return Convert.ToBoolean( o );
        //    }
        //    set
        //    {
        //        ViewState["ShowStatusBarText"] = value;
        //    }
        //}

        //[Description( "Specifies if the StatusBarText is shown." ),
        //Category( "Behavior" ), Bindable( true ), DefaultValue( false )]
        //public bool OpenNewWindow
        //{
        //    get
        //    {
        //        object o = ViewState["OpenNewWindow"];
        //        if (o == null)
        //            return false;
        //        else
        //            return Convert.ToBoolean( o );
        //    }
        //    set
        //    {
        //        ViewState["OpenNewWindow"] = value;
        //    }
        //}

        // For Custom to use Java Confirm Message.

        //     [Description( "The text shown in the confirm dialog box." ),
        //Category( "Behavior" ), Bindable( true ), DefaultValue( "" )]
        //     public string ConfirmMessage
        //     {
        //         get
        //         {
        //             object o = ViewState["ConfirmMessage"];
        //             if (o == null)
        //                 return string.Empty;
        //             else
        //                 return o.ToString();
        //         }
        //         set
        //         {
        //             ViewState["ConfirmMessage"] = value;
        //         }
        //     }

        //     [Description( "Specifies if the confirm dialog is shown on button click." ),
        //     Category( "Behavior" ), Bindable( true ), DefaultValue( false )]
        //     public bool ShowConfirm
        //     {
        //         get
        //         {
        //             object o = ViewState["ShowConfirm"];
        //             if (o == null)
        //                 return false;
        //             else
        //                 return Convert.ToBoolean( o );
        //         }
        //         set
        //         {
        //             ViewState["ShowConfirm"] = value;
        //         }
        //     }

        [Description( "Set CssClass For Begin Tags." ),
        Category( "Behavior" ), Bindable( true ), DefaultValue( "" )]
        public string CssClassBegin
        {
            get
            {
                if (ViewState["CssClassBegin"] != null)
                    return (string) ViewState["CssClassBegin"];
                else
                    return String.Empty;
            }
            set
            {
                ViewState["CssClassBegin"] = value;
            }
        }

        [Description( "Set CssClass For End Tags." ),
        Category( "Behavior" ), Bindable( true ), DefaultValue( "" )]
        public string CssClassEnd
        {
            get
            {
                if (ViewState["CssClassEnd"] != null)
                    return (string) ViewState["CssClassEnd"];
                else
                    return String.Empty;
            }
            set
            {
                ViewState["CssClassEnd"] = value;
            }
        }

        [Description( "Position in page when click." ),
        Category( "Behavior" ), Bindable( true ), DefaultValue( Position.None )]
        public Position OnClickGoTo
        {
            get
            {
                if (ViewState["OnClickGoTo"] != null)
                    return (Position) ViewState["OnClickGoTo"];
                else
                    return Position.None;
            }
            set
            {
                ViewState["OnClickGoTo"] = value;
            }
        }

        [Description( "Custom OnClick javascript." ),
        Category( "Behavior" ), Bindable( true ), DefaultValue( "" )]
        public string CustomAddOnClickScript
        {
            get
            {
                if (ViewState["CustomAddOnClickScript"] != null)
                    return (string) ViewState["CustomAddOnClickScript"];
                else
                    return String.Empty;
            }
            set
            {
                ViewState["CustomAddOnClickScript"] = value;
            }
        }

        [Description( "Disable Postback OnControl." ),
        Category( "Behavior" ), Bindable( true ), DefaultValue( false )]
        public bool DisablePostBack
        {
            get
            {
                if (ViewState["DisablePostBack"] != null)
                    return (bool) ViewState["DisablePostBack"];
                else
                    return false;
            }
            set
            {
                ViewState["DisablePostBack"] = value;
            }
        }

        [Description( "Disable Show Text." ),
         Category( "Behavior" ), Bindable( true ), DefaultValue( true )]
        public bool ShowText
        {
            get
            {
                if (ViewState["ShowText"] == null)
                    return true;
                else
                    return (bool) ViewState["ShowText"];
            }
            set
            {
                ViewState["ShowText"] = value;
            }
        }

        #endregion

        /*----------- For this control if not button to use OnClick attribute --------------*/
        // Defines the Click event.
        //public event EventHandler Click;

        //Invoke delegates registered with the Click event.
        //protected virtual void OnClick( EventArgs e )
        //{
        //    if (Click != null)
        //    {
        //        Click( this, e );
        //    }
        //} 
        // reference : http://www.syncfusion.com/FAQ/aspnet/WEB_c33c.aspx
        // 30.4 How can you write events for the server controls?

        /*----------------------------------------------------------------------------------*/
        /*----------------------------------------------------------------------------------*/
        /*----------------------------------------------------------------------------------*/

        protected override void Render( System.Web.UI.HtmlTextWriter writer )
        {
            writer.Write( String.Format( "<div class=\'{0}\'><div class=\'{1}\'>", CssClassBegin, CssClassEnd ) );
            if (!ShowText)
                this.Text = String.Empty;
            base.Render( writer );
            writer.Write( "</div></div>" );
        }

        protected override void AddAttributesToRender( HtmlTextWriter writer )
        {
            if (!String.IsNullOrEmpty( this.PageName ))
            {
                Regex regex = new Regex( ".ascx", RegexOptions.IgnoreCase );
                writer.AddAttribute( HtmlTextWriterAttribute.Href, String.Format( "#{0}", regex.Replace( PageName, "," ) + PageQueryString ) );
            }

            string onClickScript = "javascript:";
            string confirmScript = string.Empty;// For Custom to use Java Confirm Message.

            // For Custom to use Java Confirm Message.
            //if (this.ShowConfirm)
            //    confirmScript = string.Concat( "if (confirm('",
            //                           EscapeJavaScript( ConfirmMessage ), "')) " );

            if (this.Enabled && (this.Page != null))
            {
                //if (this.CausesValidation && (this.Page.Validators.Count > 0))
                //{
                //    onClickScript += GetClientValidatedPostback( this, confirmScript );
                //}
                //else
                //{

                if (!DisablePostBack)
                    onClickScript += string.Concat( confirmScript,
                                    this.Page.ClientScript.GetPostBackEventReference( this, "" ) );

                if (!String.IsNullOrEmpty( CustomAddOnClickScript ))
                {
                    if (!DisablePostBack)
                        onClickScript += string.Format( ";{0}", CustomAddOnClickScript );
                    else
                        onClickScript += string.Format( "{0}", CustomAddOnClickScript );
                }

                writer.AddAttribute( HtmlTextWriterAttribute.Onclick, onClickScript );
            }

            if (!String.IsNullOrEmpty( this.StatusBarText ))
            {
                writer.AddAttribute( "onmouseover",
                     string.Concat( "javascript:window.status='",
                                EscapeJavaScript( StatusBarText ), "';return true;" ) );
                writer.AddAttribute( "onmouseout",
                                "javascript:window.status='';return true;" );
            }

            base.AddAttributesToRender( writer );
        }

        protected void Control_Load( object sender, EventArgs e )
        {
            if (OnClickGoTo == Position.Top)
            {
                this.OnClientClick = "gotoContentTop();";
            }
        }

        protected virtual string EscapeJavaScript( string message )
        {
            // Escapes " and new lines in the message, replacing them 
            // with JavaScript equivalents (\" and \n)
            return message.Replace( "\"",
                       "\\\"" ).Replace( System.Environment.NewLine,
                                                "\n" ).Replace( "'", "\\'" );
        }

        //protected virtual string GetClientValidatedPostback( Control control,
        //                                            string confirmScript )
        //{
        //    string text1 = control.Page.ClientScript.GetPostBackEventReference( control, "" );
        //    return ("{if (typeof(Page_ClientValidate) != 'function' ||  " +
        //                  "Page_ClientValidate()) " + confirmScript + text1 + "} ");
        //}

        public AdvancedLinkButton()
        {
            Load += new EventHandler( Control_Load );
        }
    }
}