using System;
using System.Data;
using System.Configuration;
using System.IO;
using System.Text;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Vevo.WebAppLib;
using Vevo.WebUI;

namespace Vevo.WebUI.International
{
    /// <summary>
    /// Summary description for BaseLanguageMasterPage
    /// </summary>
    public class BaseLanguageMasterPage : System.Web.UI.MasterPage
    {
        private StorefrontEvents _storefrontEvents = new StorefrontEvents();

        private string ReadHtmlSource()
        {
            StringBuilder sb = new StringBuilder();
            StringWriter sw = new StringWriter( sb );
            HtmlTextWriter htmlWriter = new HtmlTextWriter( sw );
            base.Render( htmlWriter );

            return sb.ToString();
        }


        protected override void Render( HtmlTextWriter writer )
        {
            LanguageTokenRule rule = new LanguageTokenRule(
                AppRelativeVirtualPath.Trim( '~' ), 
                CultureUtilities.StoreCultureID,
                CultureUtilities.BaseCultureID );

            string source = ReadHtmlSource();

            PageTokenProcessor processor = new PageTokenProcessor( rule );
            StringBuilder output = processor.Process( source );

            writer.Write( output.ToString() );
        }


        public StorefrontEvents StorefrontEvents
        {
            get { return _storefrontEvents; }
        }


        public void OnStoreCultureChanged( object sender, CultureEventArgs e )
        {
            _storefrontEvents.OnStoreCultureChanged( sender, e );
        }

    }
}
